Subject: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Thu, 15 Oct 2009 07:39:30 +0200

> I think the problem is the lack of the necessary primitive in window.el.
 > Should it exist, any mode could use it with a simple function call
 > that creates a new window below the current one even in a wide-frame
 > configuration.  I remember Martin proposed a patch during the code freeze,
 > but currently can't find it.

I'm currently rewriting the window code so this would be a good moment
to incorporate such wishlist items here.  Though for the present case
I'm not quite sure whether `pop-to-buffer' is the primitive you want: If
you want the new window definitely appear below the selected one, then
why not use `split-window' in the first place?  `pop-to-buffer' should
be allowed to use heuristics based on user preferences.  Applications
should not deliberatly override them.

martin